Name:           osc
Version:        0.177.0
Release:        2
Summary:        The Command Line Interface to work with an Open Build Service
License:        GPLv2+
Url:            https://github.com/openSUSE/osc
Source:         https://github.com/openSUSE/osc/archive/refs/tags/%{version}.tar.gz
Patch0:         CVE-2024-22034.patch
BuildArch:      noarch
BuildRequires:  python3-devel python3-distro python3-rpm python3-progressbar2 python3-setuptools diffstat
Requires:       python3-distro python3-rpm python3-m2crypto python3-lxml python3-progressbar2 vim
Recommends:     obs-build
Recommends:     obs-service-source_validator
Conflicts:      obs-build < 20191205

%description
The osc is an opensuse-commander with svn like handling.
It's a command line interface to work with an Open Build Service.

%package help
Summary:        Help package for %{name}
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}

%description help
This package contains some man help files for %{name}.

%prep
%autosetup -p1 -n osc-%{version}

iconv -f ISO8859-1 -t UTF-8 -o TODO.new TODO
mv TODO.new TODO

%build
%py3_build

%install
%py3_install

ln -s osc-wrapper.py %{buildroot}%{_bindir}/osc

mkdir -p %{buildroot}%{_localstatedir}/lib/osc-plugins
mkdir -p %{buildroot}%{_prefix}/lib/obs/service
mkdir -p %{buildroot}%{_prefix}/lib/osc-plugins
mkdir -p %{buildroot}%{_rpmconfigdir}/macros.d/
mkdir -p %{buildroot}%{_datadir}/bash-completion/completions/

install -Dm644 dist/complete.csh %{buildroot}%{_sysconfdir}/profile.d/osc.csh
install -Dm644 dist/complete.sh %{buildroot}%{_datadir}/bash-completion/completions/osc
install -Dm755 dist/osc.complete %{buildroot}%{_datadir}/osc/complete
install -Dm0644 osc.fish %{buildroot}%{_datadir}/fish/vendor_completions.d/osc.fish

cat > %{buildroot}%{_rpmconfigdir}/macros.d/macros.osc <<EOF
%%obs_srcsvc_dir %{_prefix}/lib/obs/service
%%osc_plugin_dir %{_prefix}/lib/osc-plugins
EOF

%files
%doc AUTHORS README TODO NEWS
%license COPYING
%{_bindir}/osc*
%{python3_sitelib}/osc*
%{_sysconfdir}/profile.d/osc.csh
%{_datadir}/bash-completion/completions/osc
%{_datadir}/fish/vendor_completions.d/osc.fish
%dir %{_localstatedir}/lib/osc-plugins
%{_datadir}/osc
%{_rpmconfigdir}/macros.d/macros.osc
%dir %{_prefix}/lib/obs
%dir %{_prefix}/lib/obs/service
%dir %{_prefix}/lib/osc-plugins

%files help
%{_mandir}/man1/osc.*

%changelog
* Tue Sep 10 2024 wangkai <13474090681@163.com> - 0.177.0-2
- Fix CVE-2024-22034

* Tue May 10 2022 Wei, Qiang <qiang.wei@suse.com> - 0.177.0-1
- Upgrade to 0.177.0

* Wed Apr 27 2022 xigaoxinyan <xigaoxinyan@h-partners.com> - 0.175.0-1
- Upgrade to 0.175.0

* Thu Sep 17 2020 maminjie <maminjie1@huawei.com> - 0.169.1-3
- Add vim to Requires list

* Fri Sep 11 2020 maminjie <maminjie1@huawei.com> - 0.169.1-2
- Rebuilt for Python 3.8.5

* Wed Aug 05 2020 yaokai <yaokai13@huawei.com> - 0.169.1-1
- Upgrade to 0.169.1 to fix CVE-2019-3681

* Wed Nov 27 2019 catastrowings <jianghuhao1994@163.com> - 0.163.0-237.1.2
- Update to 0.163.0
